import { Provider } from "ethers";
import { _0_1_0 } from "./ethers-contracts/index.js";
export declare const abiVersions: readonly [readonly ["1.1.0", {
    NttManager: {
        connect: typeof import("./ethers-contracts/1_1_0/index.js").NttManager__factory.connect;
    };
    NttTransceiver: {
        connect: typeof import("./ethers-contracts/1_1_0/index.js").WormholeTransceiver__factory.connect;
    };
}], readonly ["1.0.0", {
    NttManager: {
        connect: typeof import("./ethers-contracts/1_0_0/index.js").NttManager__factory.connect;
    };
    NttTransceiver: {
        connect: typeof import("./ethers-contracts/1_0_0/index.js").WormholeTransceiver__factory.connect;
    };
}], readonly ["0.1.0", {
    NttManager: {
        connect: typeof import("./ethers-contracts/0_1_0/index.js").NttManager__factory.connect;
    };
    NttTransceiver: {
        connect: typeof import("./ethers-contracts/0_1_0/index.js").WormholeTransceiver__factory.connect;
    };
}]];
export type AbiVersion = (typeof abiVersions)[number][0];
export interface NttBindings {
    NttManager: NttManagerBindings;
    NttTransceiver: NttTransceiverBindings;
}
export declare namespace NttTransceiverBindings {
    type NttTransceiver = ReturnType<typeof _0_1_0.NttTransceiver.connect>;
}
export interface NttTransceiverBindings {
    connect(address: string, provider: Provider): NttTransceiverBindings.NttTransceiver;
}
export declare namespace NttManagerBindings {
    type NttManager = ReturnType<typeof _0_1_0.NttManager.connect>;
}
export interface NttManagerBindings {
    connect(address: string, provider: Provider): NttManagerBindings.NttManager;
}
export declare function loadAbiVersion(targetVersion: string): {
    NttManager: {
        connect: typeof import("./ethers-contracts/0_1_0/index.js").NttManager__factory.connect;
    };
    NttTransceiver: {
        connect: typeof import("./ethers-contracts/0_1_0/index.js").WormholeTransceiver__factory.connect;
    };
} | {
    NttManager: {
        connect: typeof import("./ethers-contracts/1_0_0/index.js").NttManager__factory.connect;
    };
    NttTransceiver: {
        connect: typeof import("./ethers-contracts/1_0_0/index.js").WormholeTransceiver__factory.connect;
    };
} | {
    NttManager: {
        connect: typeof import("./ethers-contracts/1_1_0/index.js").NttManager__factory.connect;
    };
    NttTransceiver: {
        connect: typeof import("./ethers-contracts/1_1_0/index.js").WormholeTransceiver__factory.connect;
    };
};
//# sourceMappingURL=bindings.d.ts.map